<?php

    session_start();
    $admin_root = "..";
    $site_root = "../..";
    $pathes = [ "../../pages/about" ];
        
    $title_tags = [ "header title", "person name" ];

    // ====== Load Functions Libraries ======

    require "$admin_root/script/functions.php";
    require "$admin_root/script/cms.php";
    require "$admin_root/script/xml.php";
    $login = "$admin_root/login.php";
    require "$admin_root/modules/_security.php";

    $date_format = $_SESSION['ini_site_options']["date_format"];
?>

<!doctype html>
<html lang='<?php echo $_SESSION["admin_lang"]; ?>'>
	<head>
		<meta charset="UTF-8">
		<title>X.able CMS / Youtube functions test</title>
		<link href='http://fonts.googleapis.com/css?family=Lato:100,300,400,700,900|Inconsolata:400,700|Audiowide&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <link rel="stylesheet" type="text/css" href="<?php echo "$admin_root/_tools/_tools.css" ?>" />
        <style></style>
    </head>
    <body>
        <button class='close' onclick="self.close()">X</button>
        
<?php
        
    echo "<h1>JSON</h1><hr>\n";
    $json = [];

    $path = $pathes[0]."/.order";
    echo "Path: $path<hr>";
    $order_xml = loadXml($path);
    //arrayList($order_xml);
              
    echo "\n\n{\n";
    foreach(array_keys($order_xml) as $article_name) {
        
        $json_article = "\t$article_name: {\n";
        
        echo "\t$article_name: {\n";
        $article_group = $order_xml[$article_name];
        foreach(array_keys($article_group) as $article_num) {
            echo "\t\t$article_num: {\n";
            $article = $article_group[$article_num];
            foreach(array_keys($article) as $section_name) {
                echo "\t\t\t$section_name: {\n";
                $section_group = $article[$section_name];
                $section = $section_group[0];
                foreach(array_keys($section) as $key) {
                    $val = $section[$key][0];
                    if(is_array($val)) {
                        echo "\t\t\t\t$key: {\n";
                        foreach(array_keys($val) as $sub_key) {
                            $sub_val = $val[$sub_key][0];
                            //echo "\t\t\t\t\t$sub_key: \"$sub_val\"\n";
                            echo "\t\t\t\t\t$sub_key: \"$sub_val\",\n";
                            //echo "\t\t\t\t\t$sub_key: \"$sub_val\"\n";
                        }
                        echo "\t\t\t\t}\n";
                    }
                    else {
                        echo "\t\t\t\t$key: \"$val\"\n";
                    }
                }
                echo "\t\t\t},\n";
            }
            echo "\t\t},\n";
        }
        echo "\t},\n";
    }
    echo "}\n";

?> 
        
    </body>
</html>